org.apache.fop.render.ps.extensions

## Class PSSetupCodeElement

- java.lang.Object
- - org.apache.fop.fo.FONode
  - - org.apache.fop.render.ps.extensions.AbstractPSExtensionObject
    - - org.apache.fop.render.ps.extensions.PSSetupCodeElement

All Implemented Interfaces:
  Cloneable

    public class PSSetupCodeElement
    extends AbstractPSExtensionObject

Extension element for fox:ps-setup-code.

### Nested Class Summary

### Nested classes/interfaces inherited from class org.apache.fop.fo.FONode

`FONode.FONodeIterator, FONode.GatherContextInfoFunction`

### Field Summary

Fields
`protected static String` `ELEMENT` The element name

### Fields inherited from class org.apache.fop.fo.FONode

`FO_URI, FOX_URI, locator, log, nodeChangeBarList, parent, siblings, startOfNodeChangeBarList`

### Constructor Summary

Constructors
Constructor and Description
`PSSetupCodeElement(FONode parent)` Main constructor

### Method Summary

All Methods Instance Methods Concrete Methods
`String` `getLocalName()` Returns the local name (i.e.
`void` `startOfNode()` Called after processNode() is called.

### Methods inherited from class org.apache.fop.render.ps.extensions.AbstractPSExtensionObject

`characters, endOfNode, getExtensionAttachment, getNamespaceURI, getNormalNamespacePrefix, processNode, validateChildNode`

### Methods inherited from class org.apache.fop.fo.FONode

`addCharacters, addChildNode, attachSiblings, bind, canHaveMarkers, charIterator, clone, clone, collectDelimitedTextRanges, collectDelimitedTextRanges, createPropertyList, decorateWithContextInfo, errorText, finalizeNode, gatherContextInfo, getBuilderContext, getChangeBarList, getChildNodes, getChildNodes, getContentHandlerFactory, getContextInfo, getContextInfoAlt, getFOEventHandler, getFOValidationEventProducer, getLocator, getLocatorString, getLogger, getName, getName, getNameId, getNodePrefix, getNodeString, getParent, getRoot, getStructureTreeElement, getUserAgent, inMarker, invalidChildError, invalidChildError, invalidPropertyValueError, isBidiRangeBlockItem, isChangeBarElement, isDelimitedTextRangeBoundary, missingChildElementError, missingChildElementError, missingPropertyError, nodesOutOfOrderError, nodesOutOfOrderError, notSupportedChildError, removeChild, setLocator, setStructureTreeElement, tooManyNodesError, tooManyNodesError, tooManyNodesError, validateChildNode, warningText`

### Methods inherited from class java.lang.Object

`equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### ELEMENT

    protected static final String ELEMENT

The element name

See Also:
  Constant Field Values

### Constructor Detail

#### PSSetupCodeElement

    public PSSetupCodeElement(FONode parent)

Main constructor

Parameters:
  `parent` - parent FO node

### Method Detail

#### startOfNode

    public void startOfNode()
                     throws FOPException

Called after processNode() is called. Subclasses can do additional processing.

Overrides:
  `startOfNode` in class `FONode`
Throws:
  `FOPException` - if there's a problem during processing

#### getLocalName

    public String getLocalName()

Returns the local name (i.e. without namespace prefix) of the node

Specified by:
  `getLocalName` in class `FONode`
Returns:
  the local name of this node